// creator  : weidu.exe (version 23100)
// argument : NOBLEW1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~NOBLEW1~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #6 /* Triggers after states #: 2 4 5 6 7 8 even though they appear after this state */
~ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
RandomNum(2,1)
~ THEN BEGIN 0 // from:
  SAY #15005 /* ~Well, what cheek!  Mother always said the lower class should keep to themselves!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 /* Triggers after states #: 2 4 5 6 7 8 even though they appear after this state */
~ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
RandomNum(2,2)
~ THEN BEGIN 1 // from:
  SAY #15006 /* ~Excuse me while your commoner scent causes me to sicken.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~See("Valygar")
InParty("Valygar")
!StateCheck("Valygar",STATE_SLEEPING)
RandomNum(2,1)
Global("noblew1valygar","AR0700",0)
~ THEN BEGIN 2 // from:
  SAY #15008 /* ~Why, hello there.  My, that's quite the rugged friend you have, there.  I could always use a new, um... gardener, mmmm?~ */
  IF ~~ THEN DO ~SetGlobal("noblew1valygar","AR0700",1)~ EXTERN ~VALYGARJ~ 1
END

IF ~~ THEN BEGIN 3 // from:
  SAY #15017 /* ~Oh, somehow I'm sure that's not the case.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~See("Nalia")
InParty("Nalia")
!StateCheck("Nalia",STATE_SLEEPING)
RandomNum(2,2)
Global("noblew1nalia","AR0700",0)
~ THEN BEGIN 4 // from:
  SAY #15020 /* ~Darling Nalia!  Excuse my asking, my dear, but what are you doing with a bunch of commoners, hm?~ */
  IF ~~ THEN DO ~SetGlobal("noblew1nalia","AR0700",1)~ EXTERN ~NALIAJ~ 116
END

IF WEIGHT #2 ~ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
RandomNum(4,1)
~ THEN BEGIN 5 // from:
  SAY #15022 /* ~Did you hear of that wizard's outrageous outburst?  I say they should all be executed.  Magic is such a horrible thing.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
RandomNum(4,2)
~ THEN BEGIN 6 // from:
  SAY #15023 /* ~My good friend Dawnmistress Aya has gone missing.  The Lathander church is in such a state, looking for her.  I'm so distraught over it I almost missed my tailor appointment this morning.  Tsk tsk.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
RandomNum(4,3)
~ THEN BEGIN 7 // from:
  SAY #15024 /* ~I don't know why the garrison doesn't simply ride into the slums and clean the place out.  That's obviously where all this crime has been coming from.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
RandomNum(4,4)
~ THEN BEGIN 8 // from:
  SAY #15036 /* ~My husband had a shipment of ore coming from Nashkel and it actually got robbed, of all things.  By Helm, something should be done!~ */
  IF ~~ THEN EXIT
END
